Subject: bug#60556: 29.0.60; Fatal error accurred when editing init.el with flymake enabled on Windows 10

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Jan 2023 21:00:34 +0200

> From: João Távora <[email-masked]>
> Date: Mon, 23 Jan 2023 18:26:14 +0000
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> 
> > I also reported an issue to Borg. See more infomation by the link bellow:
> > https://github.com/emacscollective/borg/issues/140
> >
> > I guess the issue is cause by the implementation of UI displaying on
> > MS-Windows.
> >
> > JoJoão and Eli, do you have any advice on how to debug with this issue?
> 
> >From my part, not really. 
> 
> From what I read in the attached issue, it seems Borg does things
> with the load path that interferes with Emacs's ability to invoke
> itself as a sub-process.

No, it was a real (and quite old) bug in Emacs on MS-Windows: the
behavior when Emacs was killed by its parent process (in particular, a
parent Emacs process) neglected to account for the fact that the
Windows equivalent of a signal handler invoked by the kill message was
run by the OS in a separate thread.

So we are lucky that this bug was reported, because now that
fundamental problem is fixed in Emacs.